org.apache.fop.image.loader.batik

## Class ImageLoaderFactoryWMF

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory
  - - org.apache.fop.image.loader.batik.ImageLoaderFactoryWMF

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImageLoaderFactory

      public class ImageLoaderFactoryWMF
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

  Factory class for the ImageLoader for WMF (Windows Metafile).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderFactoryWMF()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedFlavors(java.lang.String mime)`
    `java.lang.String[]` | `getSupportedMIMETypes()`
    `boolean` | `isAvailable()`
    `org.apache.xmlgraphics.image.loader.spi.ImageLoader` | `newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

      `getUsagePenalty, isSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageLoaderFactoryWMF

          public ImageLoaderFactoryWMF()

  - ### Method Detail

    - #### getSupportedMIMETypes

          public java.lang.String[] getSupportedMIMETypes()

    - #### getSupportedFlavors

          public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedFlavors(java.lang.String mime)

    - #### newImageLoader

          public org.apache.xmlgraphics.image.loader.spi.ImageLoader newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)

    - #### isAvailable

          public boolean isAvailable()

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.